package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringCombine extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringCombine instance = new BiCreaterStringCombine();

  private BiCreaterStringCombine() {
    super();
  }

  public static BiCreaterStringCombine getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.COMBINE;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
