package de.unikoblenz.fgbks.base.utils.boundary.creater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class CreaterStringLower extends AbstractBoundaryCreater<StringBoundary> {

  private static final CreaterStringLower instance = new CreaterStringLower();

  private CreaterStringLower() {
    super();
  }

  public static CreaterStringLower getInstance() {
    return instance;
  }

  @Override
  public BoundaryCreaterType getType() {
    return BoundaryCreaterType.LOWER;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b) {
    return Optional.empty();
  }
}
