package de.unikoblenz.fgbks.base.utils.boundary.creater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class CreaterStringUpper extends AbstractBoundaryCreater<StringBoundary> {

  private static final CreaterStringUpper instance = new CreaterStringUpper();

  private CreaterStringUpper() {
    super();
  }

  public static CreaterStringUpper getInstance() {
    return instance;
  }

  @Override
  public BoundaryCreaterType getType() {
    return BoundaryCreaterType.UPPER;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b) {
    return Optional.empty();
  }
}
